Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167069 - IllegalStateException: Bad expression type: "�n most meg�llok"
IllegalStateException: Bad expression type: "�n most meg�llok"
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 21:41 UTC by mps77
Modified: 2009-07-15 17:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.54 KB, text/plain)
2009-06-14 21:42 UTC, mps77
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mps77 2009-06-14 21:41:59 UTC
This issue was originally marked as duplicate of issue 160614, that is already resolved. This issue is still valid, so this seems to be another issue, but it might be related.

Build: NetBeans IDE Dev (Build 200906081401)
VM: Java HotSpot(TM) Client VM, 16.0-b03, Java(TM) SE Runtime Environment, 1.7.0-ea-b59
OS: Windows NT, 4.0, x86

User Comments:
mps77: select string expression under debug with + operand:) 
message="�n most meg�llok"

method("XXX" + message);
                       ^^^^^^^ //selected + message



Stacktrace: 
java.lang.IllegalStateException: Bad expression type: "�n most meg�llok"
        at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitUnary(EvaluatorVisitor.java:2833)
        at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitUnary(EvaluatorVisitor.java:182)
        at com.sun.tools.javac.tree.JCTree$JCUnary.accept(JCTree.java:1513)
        at com.sun.source.util.TreePathScanner.scan(TreePathScanner.java:49)
        at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.scan(EvaluatorVisitor.java:218)
        at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.scan(EvaluatorVisitor.java:182)
Comment 1 mps77 2009-06-14 21:42:05 UTC
Created attachment 83563 [details]
stacktrace
Comment 2 Martin Entlicher 2009-06-15 15:17:42 UTC
Reproduced.
Comment 3 Martin Entlicher 2009-06-16 14:27:47 UTC
Fixed in changeset:   135202:df16ef01bb0c
http://hg.netbeans.org/main/rev/df16ef01bb0c
Comment 4 Quality Engineering 2009-06-17 08:29:22 UTC
Integrated into 'main-golden', will be available in build *200906170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/df16ef01bb0c
User: mentlicher@netbeans.org
Log: #167069 - Handle invalid unary operators in a better way.
Comment 5 Vojtech Sigler 2009-06-22 13:51:16 UTC
Verified in trunk build (200906220201)

Is this fix safe to go to 67patch? (Will mark as verified once integrated in 67patch)
Comment 6 Martin Entlicher 2009-06-22 13:55:24 UTC
Yes, I believe that this fix is safe enough for 67patch.
Comment 7 Vojtech Sigler 2009-07-02 13:13:36 UTC
Marking as verified, so this can go to 67patch.
Comment 8 pgebauer 2009-07-09 15:07:11 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/eb997d86d2f9


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo